Skip to main content
POST
/
management
/
clients
/
{clientId}
/
banks
/
us
curl -X POST "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/us" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bank_name": "Chase Bank",
    "account_alias": "Primary Checking",
    "bank_holder_name": "John Michael Doe",
    "account_number": "123456789",
    "routing_number": "021000021",
    "account_type": "CHECKING",
    "address": {
      "streetLine1": "123 Main Street",
      "city": "San Francisco",
      "postal_code": "94102",
      "state": "CA",
      "country": "US"
    }
  }'
{
  "id": "ba_abc123",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "Chase Bank",
  "bank_holder_name": "John Michael Doe",
  "account_alias": "Primary Checking",
  "type": "ACH",
  "currency": "USD",
  "account_number": "123456789",
  "routing_number": "021000021",
  "account_type": "checking"
}
Creates a new US bank account for the specified client with ACH transfer capabilities. Requires an API key with access level 3 or higher.

Path parameters

clientId
string
required
Unique identifier of the client.

Body

bank_name
string
Name of the bank.
account_alias
string
User-friendly alias for the account.
bank_holder_name
string
Account holder’s full name.
account_number
string
US bank account number.
routing_number
string
US 9-digit routing number.
account_type
string
Account type. One of CHECKING, SAVINGS.
address
object
Account holder’s address.

Response

id
string
Bank account identifier.
company_id
string
Company identifier.
client_id
string
Client identifier.
bank_name
string
Bank name.
bank_holder_name
string
Account holder full name.
account_alias
string
User-friendly alias.
type
string
Payment rail. ACH for US accounts.
currency
string
Account currency. USD for US accounts.
account_number
string
Account number.
routing_number
string
Routing number.
account_type
string
Account type.
curl -X POST "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/us" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bank_name": "Chase Bank",
    "account_alias": "Primary Checking",
    "bank_holder_name": "John Michael Doe",
    "account_number": "123456789",
    "routing_number": "021000021",
    "account_type": "CHECKING",
    "address": {
      "streetLine1": "123 Main Street",
      "city": "San Francisco",
      "postal_code": "94102",
      "state": "CA",
      "country": "US"
    }
  }'
{
  "id": "ba_abc123",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "Chase Bank",
  "bank_holder_name": "John Michael Doe",
  "account_alias": "Primary Checking",
  "type": "ACH",
  "currency": "USD",
  "account_number": "123456789",
  "routing_number": "021000021",
  "account_type": "checking"
}